Update a linked Discord ID
curl --request PATCH \
--url https://api.docksys.xyz/v2/discord \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldDiscordId": "123456789012345678",
"newDiscordId": "234567890123456789",
"guildId": "987654321098765432"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
oldDiscordId: '123456789012345678',
newDiscordId: '234567890123456789',
guildId: '987654321098765432'
})
};
fetch('https://api.docksys.xyz/v2/discord', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/discord"
payload = {
"oldDiscordId": "123456789012345678",
"newDiscordId": "234567890123456789",
"guildId": "987654321098765432"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"status": 200,
"data": {},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}API Reference
Update a linked Discord ID
Updates the Discord ID on an existing link in the current API-key data scope. Guild-scoped keys must provide guildId; Dock must be in that guild and the new Discord user must be a member.
PATCH
https://api.docksys.xyz
/
v2
/
discord
Update a linked Discord ID
curl --request PATCH \
--url https://api.docksys.xyz/v2/discord \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oldDiscordId": "123456789012345678",
"newDiscordId": "234567890123456789",
"guildId": "987654321098765432"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
oldDiscordId: '123456789012345678',
newDiscordId: '234567890123456789',
guildId: '987654321098765432'
})
};
fetch('https://api.docksys.xyz/v2/discord', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/discord"
payload = {
"oldDiscordId": "123456789012345678",
"newDiscordId": "234567890123456789",
"guildId": "987654321098765432"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"status": 200,
"data": {},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Dock API key. Send Authorization: Bearer <api key>.
⌘I